<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="de"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>App.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">metrik</a> &gt; <a href="index.source.html" class="el_package">de.codecoverage</a> &gt; <span class="el_source">App.java</span></div><h1>App.java</h1><pre class="source lang-java linenums">package de.codecoverage;

/**
 * Hello world!
 *
 */
<span class="nc" id="L7">public class App {</span>

    public static int rabattAusgeben(int[] kosten) {
<span class="fc" id="L10">        int rabatt = 0;</span>
<span class="fc" id="L11">        int summe = 0;</span>
<span class="fc bfc" id="L12" title="All 2 branches covered.">        for (int position : kosten) {</span>
<span class="fc" id="L13">            System.out.println(&quot;Position: &quot;+ position);</span>
<span class="fc bfc" id="L14" title="All 2 branches covered.">            if (position &gt; 100) {</span>
<span class="fc" id="L15">                rabatt += 5;</span>
<span class="fc" id="L16">                System.out.println(&quot;5€ Rabatt für &quot;+ position);</span>
            }
<span class="fc" id="L18">            summe += position;</span>
        }
        
<span class="fc" id="L21">        System.out.println(&quot;Summe: &quot;+ summe);</span>
<span class="fc" id="L22">        System.out.println(&quot;Rabatte: &quot;+ rabatt);</span>
<span class="fc" id="L23">        System.out.println(&quot;Summe-Rabatt: &quot;+(summe-rabatt) );</span>
<span class="fc bfc" id="L24" title="All 2 branches covered.">        if (summe - rabatt &gt; 1000) {</span>
<span class="fc" id="L25">            rabatt += (int) ((summe - rabatt) * 0.05);</span>
        }
<span class="fc" id="L27">        return rabatt;</span>
    }

    public static int rabattAusgeben(int[] kosten, boolean rabattkarteVorhanden){
<span class="fc" id="L31">        int rabatt = 0;</span>
<span class="fc" id="L32">        int summe = 0;</span>
<span class="fc bfc" id="L33" title="All 2 branches covered.">        for(int position:kosten){</span>
<span class="fc bfc" id="L34" title="All 2 branches covered.">            if (position &gt; 100) {</span>
<span class="fc" id="L35">                rabatt += 5;</span>
            }
<span class="fc" id="L37">            summe += position;</span>
        }
<span class="fc bfc" id="L39" title="All 4 branches covered.">        if ((summe-rabatt &gt; 1000)&amp;&amp;(rabattkarteVorhanden == true)){</span>
<span class="fc" id="L40">            rabatt +=(int)((summe-rabatt)*0.05);</span>
        }
<span class="fc" id="L42">        return rabatt;</span>
    }


    public static void main(String[] args) {
<span class="nc" id="L47">        int[] kosten = { 100 };</span>
<span class="nc" id="L48">        System.out.println(rabattAusgeben(kosten));</span>
<span class="nc" id="L49">    }</span>

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span></div></body></html>